> For the complete documentation index, see [llms.txt](https://docs.circular.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.circular.fi/api/fast/partners/smb.md).

# SMB

**Endpoint**

This endpoint is reserved for SolanaMevBot (SMB) users performing on-chain calculation transactions. Informations (body & header) sent to the endpoint is the same as the main Fast endpoint structure (JSON-RPC).

```
POST https://fast.circular.fi/transactions/no-failure/smb
```

**Configuration**

* **Tip minimum:** 7,500 lamports (0.0000075 SOL)
* **Programs:**

```
MEViEnscUm6tsQRoGd9h6nLQaQspKj7DB2M5FwM3Xvz
```

* SMB config (bot configuration):

```
[[sending_venders.sending_vender]]
enabled = true
tip_amount = { strategy = "Random", from = 7500, to = 75000, count = 1 }
compute_unit_price = { strategy = "Random", from = 1000, to = 2000, count = 1 }
urls = [
    "https://fast.circular.fi/transactions/no-failure/smb"
]
auth_header = "x-api-key" # DO NOT CHANGE
auth_value = "YOUR-API-KEY" # REPLACE WITH YOUR API KEY (check page "Api Keys" -> https://docs.circular.fi/api/api-keys)
tip_accounts = [
  "FAST3dMFZvESiEipBvLSiXq3QCV51o3xuoHScqRU6cB6",
  "FASTHPW6akdGh9PFSdhMTbCuGkCSX7LsUjjnaB2RTQ4v",
  "FASTYKWXRfAoty7SQCM1mGVrmPUyyNcF4tc3DUkLDAu9",
  "FASTPB76TxKPMZ7Q29m8v4zJn8gUjbWyvTEQaaxhwN7M",
  "FASTs6ctgbsuZegMzUs4DPUYhRSZUPCjgCVnttHbpQAp",
  "FASTYmSidNfLwdwiQEhCTtzghxEtaipeNSDSwh9xDPs3",
  "FASTCKnwwY6iL3CknRgg3Zqir7jeagDDhxSnBQQy5a1C",
  "FASTKL1AamNKrwnvbKwo4PU8434BBdqVrTtugM6oDU71"
]
no_failure_mode = true
sending_strategy = "AllAtOnce"
```
